<?php 
/**
 * Plugin adhesion
 *
 * @version	1.1
 * @date	05/11/2012
 * @author	Stephane F, Cyril MAGUIRE
 **/

if(!defined('PLX_ROOT')) exit; 

$plxMotor = plxMotor::getInstance();

# Control du token du formulaire
plxToken::validateFormToken($_POST);

$plxPlugin->getAdherent(PLX_ROOT.$plxPlugin->getParam('adherents').'plugin.adhesion.adherents.xml');

//$aActivites = array('arc'=>'ARC','tec'=>'TEC','irc'=>'IRC','autre'=>'Autre');
$aA = explode(',',$plxPlugin->getParam('tabActivites'));
$aK = array_map('strtolower', $aA);
$aActivites = array_combine($aK, $aA);

$enteteTableau = '
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_NAME').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_FIRST_NAME').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_ADRESSE').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_ZIP_CODE').'&nbsp;
	'.$plxPlugin->getLang('L_ADMIN_LIST_CITY').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_TEL').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_MAIL').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_CHOICE').'</th>
';
if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
$enteteTableau = '
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_NAME').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_FIRST_NAME').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_ACTIVITY').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_STRUCTURE').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_DPT').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_ADRESSE').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_ZIP_CODE').'&nbsp;
	'.$plxPlugin->getLang('L_ADMIN_LIST_CITY').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_TEL').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_TEL_OFFICE').'<br/>
	'.$plxPlugin->getLang('L_ADMIN_LIST_MAIL').'</th>
<th>'.$plxPlugin->getLang('L_ADMIN_LIST_CHOICE').'</th>
';
}

# On édite les catégories
if(!empty($_POST)) {
	//echo'<pre>';print_r($_POST);echo '</pre>';exit();
	if ($_POST['nom_'.$_POST['adherentNum'][0]] =='nom'){
		unset($_POST['nom_'.$_POST['adherentNum'][0]]);
		unset($_POST['prenom_'.$_POST['adherentNum'][0]]);
		unset($_POST['adresse1_'.$_POST['adherentNum'][0]]);
		unset($_POST['adresse2_'.$_POST['adherentNum'][0]]);
		unset($_POST['cp_'.$_POST['adherentNum'][0]]);
		unset($_POST['ville_'.$_POST['adherentNum'][0]]);
		unset($_POST['tel_'.$_POST['adherentNum'][0]]);
		unset($_POST['mail_'.$_POST['adherentNum'][0]]);
		unset($_POST['choix_'.$_POST['adherentNum'][0]]);
		unset($_POST['mailing_'.$_POST['adherentNum'][0]]);
		unset($_POST['adherentNum']);
		if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
			unset($_POST['activite_'.$_POST['adherentNum'][0]]);
			unset($_POST['activite_autre_'.$_POST['adherentNum'][0]]);
			unset($_POST['etablissement_'.$_POST['adherentNum'][0]]);
			unset($_POST['service_'.$_POST['adherentNum'][0]]);
			unset($_POST['tel_office_'.$_POST['adherentNum'][0]]);
			if ($plxPlugin->getParam('showAnnuaire') == 'on') {
				unset($_POST['coordonnees_'.$_POST['adherentNum'][0]]);
			}
		}
	}
		$plxPlugin->editAdherentsList($_POST,$_POST['idAdherent']);
		header('Location: plugin.php?p=adhesion');
		exit;
}
?>

<style type="text/css">
	table {
		font-size:1em;
	}
	tr.line-0, tr.line-0 input, tr.new input {
		background: #E1E1E1;
	}
	tr input {
		border:none;
		text-transform:capitalize;
	}
	tr input.clefs {
		border:none;
		text-transform:none;
	}
	tr input.email {
		border:none;
		text-transform:lowercase;
	}
	tr.new {
		background: #D6E3B3;
	}
	tr.new input.ville {
		width:130px;
	}
	table select {
		width:260px;
	}
	table select.activite, table select.activite_new {
		width:auto;
	}
	#title {
		position:relative;
		margin:0;
		border-bottom: 1px solid #D6D6D6;
		padding:20px;
		font-size: 2em;
	}
	#tabs {
		position:absolute;
		bottom:0;
		right:0;
	}
	#tabs a {
		font-size: 0.5em;
		border:1px solid #D6D6D6;
		border-bottom:none;
		padding:15px 10px 10px 10px;
		margin-bottom: -1px;
		z-index: 99999;
		-moz-border-radius-topright: 5px;
		-webkit-border-top-right-radius: 5px;
		border-top-right-radius: 5px;
		-moz-border-radius-topleft: 5px;
		-webkit-border-top-left-radius: 5px;
		border-top-left-radius: 5px;
		display: inline-block;
		height:15px;
		line-height:15px;
		background:#D3D3D3;
	}
	#tabs a:hover, #tabs a.current {
		background: #FFF;
		border:1px solid #D6D6D6;
		border-bottom:none;
	}
	#attente, #validees {
		border-left:1px solid #D6D6D6;
		border-right:1px solid #D6D6D6;
		border-bottom:1px solid #D6D6D6;
		padding:10px;
	}
	.stop {
		background-color: red;
	}
	.petit {
		font-size: 0.8em;
	}
</style>
<div id="title"><?php $plxPlugin->lang('L_TITLE_CONFIG'); ?>
	<div id="tabs" class="css-tabs history">
		<a href="#attente" id="tabattente"><?php $plxPlugin->lang('L_ADMIN_LIST_MEMBERS_TO_VALIDATE')?></a>
		<a href="#validees" id="tabvalidees"><?php $plxPlugin->lang('L_ADMIN_LIST_MEMBERS_VALIDATED')?></a>
	</div>
</div>
<div id="listes">
<div id="attente">
	<?php eval($plxAdmin->plxPlugins->callHook('AdhesionUsersTop')) # Hook Plugins ?>

<form action="plugin.php?p=adhesion" method="post" id="form">
	<p>
		<?php plxUtils::printSelect('selection[]', array( 'false' => $plxPlugin->getLang('L_ADMIN_SELECTION'), 'validation' => $plxPlugin->getLang('L_ADMIN_LIST_VALIDATION'), 'update' => $plxPlugin->getLang('L_ADMIN_LIST_UPDATE'), '-' => '-----','delete' => $plxPlugin->getLang('L_ADMIN_DELETE')), '') ?>
		<input class="button submit" type="submit" name="submit" value="<?php echo L_OK ?>" />
	</p>
	<table class="table">
	<caption style="text-align:left"><?php $plxPlugin->lang('L_ADMIN_LIST_MEMBERS_TO_VALIDATE')?></caption>
	<thead>
		<tr class="new">
			<th class="checkbox"><input type="checkbox" onclick="checkAll(this.form, 'idAdherent[]');" /></th>
			<th class="title"><?php $plxPlugin->lang('L_ADMIN_LIST_ID'); ?><br/><span class="petit"><?php $plxPlugin->lang('L_ADMIN_FIRST_ASK'); ?></span></th>
			<?php echo $enteteTableau; ?>

		</tr>
	</thead>
	<tbody>
		<?php 
		$num = 0;
		if ($plxPlugin->adherentsList) {
			foreach($plxPlugin->adherentsList as $k=>$v) {
				if ($v['validation'] == 0) {
				$ordre = ++$num;
				if (!array_key_exists($v['activite'],$aActivites)) {
					$activite = 'autre';
					$autre_activite = $v['activite'];
				} else {
					$activite = $v['activite'];
					$autre_activite = '';
				}
				echo "\n".'<!-- ADHERENT -->'."\n";
				echo '<tr class="line-'.($num%2).'">';
				echo '<td><input type="checkbox" name="idAdherent[]" value="'.$k.'" /><input type="hidden" name="update" value="true" /><input type="hidden" name="validation_'.$k.'" value="1" /></td>';
				echo '<td>'.$k; echo (!empty($v['firstDate'])? '<br/><span class="petit">'.date('d/m/y',intval(plxUtils::strCheck($v['firstDate']))).'</span>' : '');echo (!empty($v['date']) && $v['validation'] == 0) ? '<br/><span class="petit">'.$plxPlugin->getLang('L_ADMIN_DATE_DEL').'<br/>'.date('d/m/y',intval(plxUtils::strCheck($v['date']))).'</span>' : '<br/><span class="petit">'.$plxPlugin->getLang('L_FORM_NEW').'</span>';echo '</td><td>';
				plxUtils::printInput('nom_'.$k, strtoupper(plxUtils::strCheck($v['nom'])), 'text', '15-50','','',$num);
				plxUtils::printInput('prenom_'.$k, ucfirst(plxUtils::strCheck($v['prenom'])), 'text', '15-50','','',$num);
				echo '</td><td>';
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
				plxUtils::printSelect('activite_'.$k, $aActivites, $activite,'','activite_new');
				plxUtils::printInput('activite_autre_'.$k, $autre_activite, 'text', '15-50','','autre');
				plxUtils::printInput('etablissement_'.$k, plxUtils::strCheck($v['etablissement']), 'text', '15-150');
				plxUtils::printInput('service_'.$k, plxUtils::strCheck($v['service']), 'text', '15-150');
				echo '</td><td>';
				}
				plxUtils::printInput('adresse1_'.$k, plxUtils::strCheck($v['adresse1']), 'text', '25-250');
				plxUtils::printInput('adresse2_'.$k, plxUtils::strCheck($v['adresse2']), 'text', '25-250');
				echo '<br/>';
				plxUtils::printInput('cp_'.$k, plxUtils::strCheck($v['cp']), 'text', '5-6');
				plxUtils::printInput('ville_'.$k, plxUtils::strCheck($v['ville']), 'text', '15-150');
				echo '</td><td>';
				plxUtils::printInput('tel_'.$k, plxUtils::strCheck($v['tel']), 'text', '15-15');
				echo '<br/>';
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
				plxUtils::printInput('tel_office_'.$k, plxUtils::strCheck($v['tel_office']), 'text', '15-15');
				echo '<br/>';
				}
				plxUtils::printInput('mail_'.$k, plxUtils::strCheck($v['mail']), 'text', '25-150',false,'email');
				echo '</td><td>';
				plxUtils::printSelect('choix_'.$k, array('adhesion'=>'Souhaite devenir adhérent','renouveler'=>'Souhaite renouveler son adhésion'), plxUtils::strCheck($v['choix']));
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel' && $plxPlugin->getParam('showAnnuaire') == 'on') {
					plxUtils::printSelect('coordonnees_'.$k, array('rec'=>'Accepte la diffusion de ses coordonnées','refus'=>'Refuse la diffusion de ses coordonnées'), plxUtils::strCheck($v['coordonnees']));
				}
				plxUtils::printSelect('mailing_'.$k, array('maillist'=>'Accepte les mails','blacklist'=>'Refuse les mails'), plxUtils::strCheck($v['mailing']));
				echo '</td></tr>';
				}
			}
			if ($num == 0) {
				echo '<tr><td colspan="8" style="text-align:center;"><strong>'.$plxPlugin->getLang('L_ADMIN_VALIDATION_PENDING').'</strong></td></tr>';
			}
			# On récupère le dernier identifiant
			$a = array_keys($plxPlugin->adherentsList);
			rsort($a);
		}
		else {
			echo '<tr><td colspan="8" style="text-align:center;"><strong>'.$plxPlugin->getLang('L_ADMIN_VALIDATION_PENDING').'</strong></td></tr>';
			$a[1] = 0;
		}
		$new_adherentid = $plxPlugin->nextIdAdherent();
		//Tableau pour saisir nouvel adhérent sans passer par la partie publique
		 ?>

		<!-- NOUVEL ADHERENT -->
		 <tr class="new">
			<th class="checkbox"><input type="checkbox" onclick="checkAll(this.form, 'idAdherent[]')" /></th>
			<th class="title"><?php $plxPlugin->lang('L_ADMIN_LIST_ID'); ?></th>
			
			<?php echo $enteteTableau; ?>
			
		</tr>
		 <tr>
			<?php
				echo '<td><input type="hidden" name="adherentNum[]" value="'.$new_adherentid.'" /><input type="hidden" name="new" value="'.$new_adherentid.'" /><input class="button update " type="submit" name="update" value="'.L_OK.'" /></td>';
				echo '<td>'.$plxPlugin->getLang('L_ADMIN_LIST_NEW').'</td><td>';
				
				plxUtils::printInput('nom_'.$new_adherentid, 'nom', 'text', '15-50',false,'" onfocus="if (this.value == \'nom\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'nom\';}" onsubmit="if (this.value == \'nom\') {this.value = \'\';}');
				plxUtils::printInput('prenom_'.$new_adherentid, 'prénom', 'text', '15-50',false,'" onfocus="if (this.value == \'prénom\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'prénom\';}" onsubmit="if (this.value == \'prénom\') {this.value = \'\';}');
				echo '</td><td>';
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
				plxUtils::printSelect('activite_'.$new_adherentid, $aActivites, '','','activite_new');
				plxUtils::printInput('activite_autre_'.$new_adherentid, '', 'text', '15-50','','autre');
				plxUtils::printInput('etablissement_'.$new_adherentid, 'établissement', 'text', '15-150',false,'" onfocus="if (this.value == \'établissement\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'établissement\';}" onsubmit="if (this.value == \'établissement\') {this.value = \'\';}');
				plxUtils::printInput('service_'.$new_adherentid, 'service', 'text', '15-150',false,'" onfocus="if (this.value == \'service\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'service\';}" onsubmit="if (this.value == \'service\') {this.value = \'\';}');
				echo '</td><td>';
				}
				plxUtils::printInput('adresse1_'.$new_adherentid, 'adresse', 'text', '25-250',false,'" onfocus="if (this.value == \'adresse\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'adresse\';}" onsubmit="if (this.value == \'adresse\') {this.value = \'\';}');
				plxUtils::printInput('adresse2_'.$new_adherentid, '', 'text', '25-250');
				echo '<br/>';
				plxUtils::printInput('cp_'.$new_adherentid, 'cp', 'text', '5-6',false,'" onfocus="if (this.value == \'cp\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'cp\';}" onsubmit="if (this.value == \'cp\') {this.value = \'\';}').'&nbsp;';
				plxUtils::printInput('ville_'.$new_adherentid, 'ville', 'text', '15-150',false,'" onfocus="if (this.value == \'ville\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'ville\';}" onsubmit="if (this.value == \'ville\') {this.value = \'\';}');
				echo '</td><td>';
				plxUtils::printInput('tel_'.$new_adherentid, 'téléphone', 'text', '15-15',false,'" onfocus="if (this.value == \'téléphone\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'téléphone\';}" onsubmit="if (this.value == \'téléphone\') {this.value = \'\';}');
				echo '<br/>';
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
				plxUtils::printInput('tel_office_'.$new_adherentid, '', 'text', '15-15');
				echo '<br/>';
				}
				plxUtils::printInput('mail_'.$new_adherentid, 'email', 'text', '25-150',false,'email" onfocus="if (this.value == \'email\') {this.value = \'\';}" onblur="if (this.value == \'\') {this.value = \'email\';}" onsubmit="if (this.value == \'email\') {this.value = \'\';}');
				echo '</td><td>';
				plxUtils::printSelect('choix_'.$new_adherentid, array('adhesion'=>'Souhaite devenir adhérent','renouveler'=>'Souhaite renouveler son adhésion'), '');
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel' && $plxPlugin->getParam('showAnnuaire') == 'on') {
					plxUtils::printSelect('coordonnees_'.$new_adherentid, array('rec'=>'Accepte la diffusion de ses coordonnées','refus'=>'Refuse la diffusion de ses coordonnées'), '');
				}
				plxUtils::printSelect('mailing_'.$new_adherentid, array('maillist'=>'Accepte les mails','blacklist'=>'Refuse les mails'), '');
				echo '</td>';
			?>

		</tr>
	</tbody>
	</table>

	<p>
	<?php echo plxToken::getTokenPostMethod() ?>
		
	</p>
	<p>
		<?php plxUtils::printSelect('selection[]', array( 'false' => $plxPlugin->getLang('L_ADMIN_SELECTION'), 'validation' => $plxPlugin->getLang('L_ADMIN_LIST_VALIDATION'), 'update' => $plxPlugin->getLang('L_ADMIN_LIST_UPDATE'), '-' => '-----', 'delete' => $plxPlugin->getLang('L_ADMIN_DELETE')), '') ?>
		<input class="button submit" type="submit" name="submit" value="<?php echo L_OK ?>" />
	</p>

</form>
</div>
<!-- ADHERENTS VALIDES -->
<div id="validees">
	<?php eval($plxAdmin->plxPlugins->callHook('AdhesionUsersTopV')) # Hook Plugins ?>

<form action="plugin.php?p=adhesion" method="post" id="form2">
	<p>
		<?php plxUtils::printSelect('selection[]', array( 'false' => $plxPlugin->getLang('L_ADMIN_SELECTION'), 'validation' => $plxPlugin->getLang('L_ADMIN_LIST_DEVALIDATION'), 'update' => $plxPlugin->getLang('L_ADMIN_LIST_UPDATE'), '-' => '-----', 'delete' => $plxPlugin->getLang('L_ADMIN_DELETE')), '') ?>
		<input class="button submit" type="submit" name="submit" value="<?php echo L_OK ?>" />
	</p>
	<table class="table">
	<caption style="text-align:left"><?php $plxPlugin->lang('L_ADMIN_LIST_MEMBERS_VALIDATED')?></caption>
	<thead>
		<tr class="new">
			<th class="checkbox"><input type="checkbox" onclick="checkAll(this.form, 'idAdherent[]')" /></th>
			<th class="title"><?php $plxPlugin->lang('L_ADMIN_LIST_ID'); ?><br/><span class="petit"><?php $plxPlugin->lang('L_ADMIN_DATE_VAL'); ?></span></th>
			<?php echo $enteteTableau; ?>
			
			<th><?php $plxPlugin->lang('L_ADMIN_LIST_CLE') ?></th>
		</tr>
	</thead>
	<tbody>
		<?php 
		$num = 0;
		if ($plxPlugin->adherentsList) {
			foreach($plxPlugin->adherentsList as $k=>$v) {
				if ($v['validation'] == 1) {

				if (!in_array($v['activite'],$aActivites)) {
					$activite = 'autre';
					$autre_activite = $v['activite'];
				} else {
					$activite = $v['activite'];
					$autre_activite = '';
				}
				$ordre = ++$num;
				echo "\n".'<!-- ADHERENT -->'."\n";
				echo '<tr class="line-'.($num%2).'">';
				echo '<td><input type="checkbox" name="idAdherent[]" value="'.$k.'" /><input type="hidden" name="update" value="true" /><input type="hidden" name="validation_'.$k.'" value="0" /></td>';
				echo '<td>'.$k.'<br/><span class="petit">'.date('d/m/y',intval(plxUtils::strCheck($v['date']))).'</span></td><td>';
				plxUtils::printInput('nom_'.$k, plxUtils::strCheck($v['nom']), 'text', '15-50','','',$num);
				plxUtils::printInput('prenom_'.$k, plxUtils::strCheck($v['prenom']), 'text', '15-50','','',$num);
				echo '</td><td>';
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
				plxUtils::printSelect('activite_'.$k, $aActivites, $activite,'','activite_new');
				plxUtils::printInput('activite_autre_'.$k, $autre_activite, 'text', '15-50','','autre');
				plxUtils::printInput('etablissement_'.$k, plxUtils::strCheck($v['etablissement']), 'text', '15-150');
				plxUtils::printInput('service_'.$k, plxUtils::strCheck($v['service']), 'text', '15-150');
				echo '</td><td>';
				}
				plxUtils::printInput('adresse1_'.$k, plxUtils::strCheck($v['adresse1']), 'text', '25-250');
				plxUtils::printInput('adresse2_'.$k, plxUtils::strCheck($v['adresse2']), 'text', '25-250');
				echo '<br/>';
				plxUtils::printInput('cp_'.$k, plxUtils::strCheck($v['cp']), 'text', '5-6');
				plxUtils::printInput('ville_'.$k, plxUtils::strCheck($v['ville']), 'text', '15-150');
				echo '</td><td>';
				plxUtils::printInput('tel_'.$k, plxUtils::strCheck($v['tel']), 'text', '15-15');
				echo '<br/>';
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') {
				plxUtils::printInput('tel_office_'.$k, plxUtils::strCheck($v['tel_office']), 'text', '15-15');
				echo '<br/>';
				}
				plxUtils::printInput('mail_'.$k, plxUtils::strCheck($v['mail']), 'text', '25-150',false,'email');
				echo '</td><td>';
				plxUtils::printSelect('choix_'.$k, array('adhesion'=>$plxPlugin->getLang('L_ADMIN_FIRST_ASK').date('d/m/y',intval(plxUtils::strCheck($v['firstDate']))),'renouveler'=>'Souhaite renouveler son adhésion','stop' =>'Ne souhaite plus être membre'), plxUtils::strCheck($v['choix']),false,'choices');
				if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel' && $plxPlugin->getParam('showAnnuaire') == 'on') {
					plxUtils::printSelect('coordonnees_'.$k, array('rec'=>'Accepte la diffusion de ses coordonnées','refus'=>'Refuse la diffusion de ses coordonnées'), plxUtils::strCheck($v['coordonnees']));
				}
				plxUtils::printSelect('mailing_'.$k, array('maillist'=>'Accepte les mails','blacklist'=>'Refuse les mails'), plxUtils::strCheck($v['mailing']));
				echo '</td><td>';
				plxUtils::printInput('cle_'.$k, plxUtils::strCheck($v['cle']), 'text', '5-'.$plxPlugin->getParam('cle'),false,'clefs');
				echo '</td></tr>';
				}
			}
			if ($num == 0) {
				echo '<tr><td colspan="8" style="text-align:center;"><strong>'.$plxPlugin->getLang('L_ADMIN_NO_VALIDATION').'</strong></td></tr>';
			}
			# On récupère le dernier identifiant
			$a = array_keys($plxPlugin->adherentsList);
			rsort($a);
		}
		else {
			echo '<tr><td colspan="8" style="text-align:center;"><strong>'.$plxPlugin->getLang('L_ADMIN_NO_VALIDATION').'</strong></td></tr>';
			$a[1] = 0;
		}?>

	</tbody>
	</table>

	<p>
		<?php plxUtils::printSelect('selection[]', array( 'false' => $plxPlugin->getLang('L_ADMIN_SELECTION'), 'validation' => $plxPlugin->getLang('L_ADMIN_LIST_DEVALIDATION'), 'update' => $plxPlugin->getLang('L_ADMIN_LIST_UPDATE'), '-' => '-----', 'delete' => $plxPlugin->getLang('L_ADMIN_DELETE')), '') ?>
		<input class="button submit" type="submit" name="submit" value="<?php echo L_OK ?>" />
	</p>

</form>
</div>
</div>
<?php eval($plxAdmin->plxPlugins->callHook('AdhesionUsersFoot')); ?>

<script type="text/javascript">
	(function($){
		<?php if ($plxPlugin->getParam('typeAnnuaire') == 'professionnel') :?>

		$('.autre').css({'display':'none'});
  		$('.activite_new').each(function() {
			var selectVal = $(this).val();
			var id = $(this).attr('id');
			id = id.replace('id_activite','id_activite_autre');
			var idVal = $('#'+id).val();
			if (selectVal == 'autre' && idVal == '') {
				$('#'+id).val('<?php $plxPlugin->lang('L_ADMIN_NOT_DONE') ?>');
			}
		});
		$('.autre').each(function() {
		    if ($(this).val() != '') {
		    	$(this).css({'display':'block'});
		    }
		});
		$('.activite_new').click(function() {
			var selectVal = $(this).val();
			var id = $(this).attr('id');
			id = id.replace('id_activite','id_activite_autre');
			var idVal = $('#'+id).val();
			if (selectVal == 'autre' && idVal == '') {
				$('#'+id).css({'display':'block'}).focus();

			}else if (selectVal == 'autre' && idVal != '') {
				$('#'+id).css({'display':'block'});

			} else {
				$('#'+id).css({'display':'none'});
			}
		});
		<?php endif; ?>
		$('.choices').change(function(event){
			var value = $(this).val();
			if (value == 'stop') {
				var reponse = confirm('<?php $plxPlugin->lang('L_FORM_CONFIRM') ?>');
				if (!reponse) {
					$(this).val('adhesion');
				} else {
					$(this).addClass('stop');
				}
			} else {
				$(this).removeClass('stop');
			}
		})
	})(jQuery);
</script>
<script type="text/javascript" src="<?php echo PLX_PLUGINS ?>adhesion/js/jquery-cookie/jquery.cookie.js"></script>
<script type="text/javascript" src="<?php echo PLX_PLUGINS ?>adhesion/js/tab.js"></script>